Ticket #3079 (closed enhancement: fixed)

Opened 9 years ago

Last modified 8 years ago

管理画面内にメンバー詳細画面を追加し、管理画面からSNS内へのリンクを無くすようにする

Reported by: nakasone Assigned to: nakasone
Priority: minor Milestone: OpenPNE2.13.4
Component: pne-admin Version:
Keywords: Cc:

Description (Last modified by nakasone)

■概要

管理画面にメンバー詳細画面を追加,書き込み管理画面の一部リンクを管理画面を指すように変更。

■仕様

  • メンバー詳細画面の追加
  • リンクが管理画面内のものに変わったものは以下の通り
    • 日記管理
      • 作成者→メンバー詳細へ
    • 日記コメント管理
      • 日記タイトル→日記管理へ
      • 作成者→メンバー詳細へ
    • コミュニティ管理
      • 管理者→メンバー詳細へ
    • トピック・イベント管理
      • コミュニティ名→コミュニティ管理へ
      • トピック作成者→メンバー詳細へ
    • トピック・イベントのコメント管理
      • トピック名→トピック・イベント管理へ
      • コミュニティ名→コミュニティ管理へ
      • 投稿者→メンバー詳細へ
    • レビュー管理
      • レビュアー→メンバー詳細へ
    • アルバム管理
      • 作成者→メンバー詳細へ
    • メンバーリスト
      • ニックネーム→メンバー詳細へ
  • もともと管理画面内の移動ができたもの
    • 日記管理
      • コメント件数→日記コメント管理へ
    • アルバム管理
      • 写真件数→アルバム写真管理へ

■関連情報

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=4070

r8568にて、toranekoさんから提供していただいたコードの取り込み。

Change History

10/16/08 14:02:27 changed by nakasone

  • description changed.

10/16/08 14:03:17 changed by nakasone

  • owner changed from nobody to nakasone.
  • status changed from new to assigned.

取り込みを行います。

10/16/08 14:10:59 changed by nakasone

上記の作業をtrunkで行いました。

10/16/08 14:41:39 changed by nakasone

  • description changed.

10/16/08 14:45:13 changed by nakasone

  • description changed.

10/20/08 16:04:59 changed by ebihara

  • keywords changed from 確認中 to 差し戻し.

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=4069 にて指摘されている、以下のような点については修正の必要があると思います。

・気になった点
レビュー管理画面とアルバム管理画面において、それぞれレビュアー・作成者からのリンクが以前のままである。(何か意図があるのであれば仰ってください。)

10/23/08 11:50:38 changed by nakasone

修正します。

10/23/08 12:09:41 changed by nakasone

  • keywords changed from 差し戻し to 確認中.
  • description changed.

修正内容

  • レビュー管理画面とアルバム管理画面の、レビュアー・作成者のリンクをメンバー詳細画面に変更する。

以下のリビジョンで修正しました。ご確認ください。

10/23/08 19:51:54 changed by ebihara

  • keywords changed from 確認中 to 差し戻し.

この変更の主旨を考えるのならば、以下の点についても修正の必要があるのではないでしょうか。

  • webapp/modules/admin/templates/blacklist.tpl
    58:<td><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.nickname})</a></td>
    
  • webapp/modules/admin/templates/blacklist_add_confirm.tpl
    26:<td>({if $member})<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$member.c_member_id})" target="_blank">({$member.nickname})</a>({else})&nbsp;({/if})</td>
    
  • webapp/modules/admin/templates/blacklist_delete_confirm.tpl
    26:<td>({if $blacklist.c_member_id})<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$blacklist.c_member_id})" target="_blank">({$blacklist.nickname})</a>({else})&nbsp;({/if})</td>
    
  • webapp/modules/admin/templates/blacklist_edit.tpl
    33:<td>({if $blacklist.c_member_id})<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$blacklist.c_member_id})" target="_blank">({$blacklist.nickname})</a>({else})&nbsp;({/if})</td>
    
  • webapp/modules/admin/templates/blacklist_edit_confirm.tpl
    26:<td>({if $member})<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$member.c_member_id})" target="_blank">({$member.nickname})</a>({else})&nbsp;({/if})</td>
    
  • webapp/modules/admin/templates/commu_list.tpl
    69:<a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$item.c_commu_id})" target="_blank">({$item.name})</a>
    76:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id_admin})" target="_blank">({$item.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/delete_album_confirm.tpl
    31:<a href="({t_url _absolute=1 m=pc a=page_fh_album})&amp;target_c_album_id=({$album.c_album_id})" target="_blank">({$album.subject})</a>
    38:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$album.c_member_id})" target="_blank">({$album.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/delete_c_member_confirm.tpl
    35:		<td><a href="({t_url m=pc a=page_f_home})&amp;target_c_member_id=({$c_member.c_member_id})" target="_blank">({$c_member.nickname})</a></td>
    
  • webapp/modules/admin/templates/delete_commu.tpl
    31:<a href="({t_url _absolute=1 m=pc a=page_fh_diary})&amp;target_c_commu_id=({$commu.c_commu_id})" target="_blank">({$commu.name})</a>
    38:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$commu.c_member_id_admin})" target="_blank">({$commu.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/delete_diary.tpl
     31:<a href="({t_url _absolute=1 m=pc a=page_fh_diary})&amp;target_c_diary_id=({$diary.c_diary_id})" target="_blank">({$diary.subject})</a> (({if $diary.count_comments})<a href="?m=({$module_name})&amp;a=page_({$hash_tbl->hash('diary_comment_list')})&amp;target_c_diary_id=({$diary.c_diary_id})">({/if})コメント({$diary.count_comments})件({if $diary.count_comments})</a>({/if}))
    38:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$diary.c_member_id})" target="_blank">({$diary.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/delete_diary_comment.tpl
    31:<a href="({t_url _absolute=1 m=pc a=page_fh_diary})&amp;target_c_diary_id=({$diary_comment.c_diary_id})" target="_blank">({$diary_comment.subject})</a> (コメント({$diary_comment.count_comments})件)
    38:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$diary_comment.c_member_id})" target="_blank">({$diary_comment.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/delete_review.tpl
    31:<a href="({t_url _absolute=1 m=pc a=page_h_review_list_product})&amp;c_review_id=({$review.c_review_id})" target="_blank">({$review.c_review.title})</a>
    47:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$review.c_member_id})" target="_blank">({$review.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/delete_topic.tpl
    31:<a href="({t_url _absolute=1 m=pc a=page_c_topic_detail})&amp;target_c_commu_topic_id=({$topic.c_commu_topic_id})" target="_blank">({$topic.name})</a> (({$topic.count_comments}))
    38:<a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$topic.c_commu_id})" target="_blank">({$topic.commu_name})</a>
    45:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$topic.c_member_id})" target="_blank">({$topic.nickname})</a>
    
  • webapp/modules/admin/templates/delete_topic_comment.tpl
    31:<a href="({t_url _absolute=1 m=pc a=page_c_topic_detail})&amp;target_c_commu_topic_id=({$topic_comment.c_commu_topic_id})" target="_blank">({$topic_comment.topic_name})</a> (({$topic_comment.count_comments}))
    38:<a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$topic_comment.c_commu_id})" target="_blank">({$topic_comment.commu_name})</a>
    45:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$topic_comment.c_member_id})" target="_blank">({$topic_comment.nickname})</a>
    
  • webapp/modules/admin/templates/diary_comment_list.tpl
    77:<a href="({t_url _absolute=1 m=pc a=page_fh_diary})&amp;target_c_diary_id=({$item.c_diary_id})" target="_blank">({$item.subject})</a> (コメント({$item.count_comments})件)
    84:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/diary_list.tpl
    69:<a href="({t_url _absolute=1 m=pc a=page_fh_diary})&amp;target_c_diary_id=({$item.c_diary_id})" target="_blank">({$item.subject})</a> (({if $item.count_comments})<a href="?m=({$module_name})&amp;a=page_({$hash_tbl->hash('diary_comment_list','page')})&amp;target_c_diary_id=({$item.c_diary_id})">({/if})コメント({$item.count_comments})件({if $item.count_comments})</a>({/if}))
    76:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/edit_album_list.tpl
    64:<a href="({t_url _absolute=1 m=pc a=page_fh_album})&amp;target_c_album_id=({$item.c_album_id})" target="_blank">({$item.subject})</a>
    72:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/edit_c_admin_config.tpl
    23:<td><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.nickname})</a></td>
    
  • webapp/modules/admin/templates/inc_dashboard.tpl
    28:    <dd><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$sns_rank.rank_ashiato[1][0].c_member.c_member_id})" target="_blank">({$sns_rank.rank_ashiato[1][0].c_member.nickname})</a> (({$sns_rank.rank_ashiato[1][0].count|number_format})アクセス)</dd>({/if})
    31:    <dd><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$sns_rank.rank_friend[1][0].c_member.c_member_id})" target="_blank">({$sns_rank.rank_friend[1][0].c_member.nickname})</a> (({$sns_rank.rank_friend[1][0].count|number_format})人)</dd>({/if})
    34:    <dd><a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$sns_rank.rank_com_member[1][0].c_commu_id})" target="_blank">({$sns_rank.rank_com_member[1][0].c_commu.name})</a> (({$sns_rank.rank_com_member[1][0].count|number_format})人)</dd>({/if})
    37:    <dd><a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$sns_rank.rank_com_comment[1][0].c_commu_id})" target="_blank">({$sns_rank.rank_com_comment[1][0].c_commu.name})</a> (書き込み({$sns_rank.rank_com_comment[1][0].count|number_format})件)</dd>({/if})
    64:    <dd><a href="({t_url _absolute=1 m=pc a=page_fh_diary})&amp;target_c_diary_id=({$item.c_diary_id})" target="_blank">({$item.subject}) (({$item.count_comments|number_format})) </a> <span class="origin">(<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.c_member.nickname})</a>)</span></dd>
    78:    <dd><a href="({t_url _absolute=1 m=pc a=page_c_topic_detail})&amp;target_c_commu_topic_id=({$item.c_commu_topic_id})" target="_blank">({$item.name}) (({$item.count_comments|number_format}))</a> <span class="origin">(<a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$item.c_commu_id})" target="_blank">({$item.commu_name})</a>)</span></dd>
    92:    <dd><a href="({t_url _absolute=1 m=pc a=page_h_review_list_product})&amp;c_review_id=({$item.c_review_id})" target="_blank">({$item.c_review.title}) (({$item.count_comments|number_format}))</a> <span class="origin">(<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.c_member.nickname})</a>)</span></dd>
    106:    <dd><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.nickname})</a> <span class="origin">(招待者: <a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id_invite})" target="_blank">({$item.c_member_invite.nickname})</a>)</span></dd>
    
  • webapp/modules/admin/templates/list_c_image.tpl
    58:&nbsp;[<a href="({t_url _absolute=1 m=pc})({$item.param})" target="_blank">リンク</a>]
    
  • webapp/modules/admin/templates/list_c_member.tpl
    236:			<td class="cell04"><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.nickname})</a></td>
    243:			<td class="cell07">({if $item.c_member_id_invite})({$item.c_member_id_invite}):<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id_invite})" target="_blank">({$item.c_member_invite.nickname})</a>({else})&nbsp;({/if})</td>
    
  • webapp/modules/admin/templates/manage_c_commu.tpl
    41:<td><a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$item.c_commu_id})" target="_blank">({$item.name})</a></td>
    42:<td><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id_admin})" target="_blank">({$item.c_member_admin.nickname})</a></td>
    
  • webapp/modules/admin/templates/passwd.tpl
    18:<p class="info"><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$c_member.c_member_id})" target="_blank">({$c_member.nickname})</a>さんのパスワードを変更します。</p>
    
  • webapp/modules/admin/templates/review_list.tpl
    69:<a href="({t_url _absolute=1 m=pc a=page_h_review_list_product})&amp;c_review_id=({$item.c_review_id})" target="_blank">({$item.c_review.title})</a>
    85:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.c_member.nickname})</a>
    
  • webapp/modules/admin/templates/send_messages.tpl
    34:<dd class="msgAdd">({foreach from=$c_member_list item=item name=cml})<strong><a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.nickname})</a></strong>({if !$smarty.foreach.cml.last})&nbsp;/&nbsp;({/if})({/foreach})</dd>
    
  • webapp/modules/admin/templates/topic_comment_list.tpl
    72:<a href="({t_url _absolute=1 m=pc a=page_c_topic_detail})&amp;target_c_commu_topic_id=({$item.c_commu_topic_id})" target="_blank">({$item.topic_name})</a> (({$item.count_comments}))
    79:<a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$item.c_commu_id})" target="_blank">({$item.commu_name})</a>
    86:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.nickname})</a>
    
  • webapp/modules/admin/templates/topic_list.tpl
    72:<a href="({t_url _absolute=1 m=pc a=page_c_topic_detail})&amp;target_c_commu_topic_id=({$item.c_commu_topic_id})" target="_blank">({$item.topic_name})</a> (({$item.count_comments}))
    79:<a href="({t_url _absolute=1 m=pc a=page_c_home})&amp;target_c_commu_id=({$item.c_commu_id})" target="_blank">({$item.commu_name})</a>
    86:<a href="({t_url _absolute=1 m=pc a=page_f_home})&amp;target_c_member_id=({$item.c_member_id})" target="_blank">({$item.nickname})</a>
    

11/04/08 13:26:32 changed by kiwa

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=4069&comment_count=9

トピックに書いた不具合報告を転記します。

=== c_member_detailにて ===

■ 「メンバー管理」のタブがフォーカスされた状態になっていない

ヘッダのメニューに表示されていない画面は、
・ヘッダのタブは遷移元のカテゴリにフォーカスされている
・フォーカスされているタブにオンマウスでメニューが表示されてる
という決まりがあったりします。
( ※実際にはここに画像が入っています )
(共通の仕様とかまとめてないのでエラそうにいえないんですが…)
なので、c_member_detailのヘッダも「メンバー管理」タブが図のようになってると望ましいんです。


■ CHECK_IMG_AUTHがtrueの場合にプロフィール画像が表示されない

付け加えて説明することもないですね…。


■ target_c_member_idが例外の値だった場合でも画面を表示できる

target_c_member_idが存在しないID・1未満の場合でも、アクセスすることができます。なにかしらエラーを出して、list_c_memberかtopに遷移させたほうがいいかなぁと思います。


■ OPENPNE_AUTH_MODEがpneid,slavepneの場合にログインIDが表示されない

メンバー詳細なので、ログインIDも表示させた方がいいんじゃないかなと思います。


■ メンバーリスト以外からアクセスした場合でも「メンバーリストに戻る」に遷移する

メンバーリスト以外のページからアクセスした場合、「メンバーリストに戻る」の遷移先がメンバーリスト以外のページ(遷移元のページ)になっているのに、文言は「メンバーリストに戻る」になっているので矛盾しています。
機能を知ると便利なんですけど、ページをみるだけだと「ああ、メンバーリストに戻るんだな」と勘違いしちゃうので、やるなら矛盾しない文言に変更したほうがいいかもです。
個人的には、ダイレクトアクセス(普通しないですけど;笑)した時にリンクが機能しなかったりするので、素直にメンバーリストへのリンクにしてもいいかなーとか…(´ω`;)



=== c_member_detail以外 ===

■pc_page_f_homeに遷移するリンクが残っている
一部のリンクのみをc_member_detailにするんじゃなくて、c_member_detail以外のf_homeに遷移するリンクもすべて c_member_detailに飛ばすべきだと思います。f_homeとc_member_detailの使い分けとかも面倒ですし、
「c_member_detailに遷移するもんね~フッフーン」と調子に乗ってニックネーム押したらf_homeに遷移して足跡つけちゃったとかの誤爆も考えられます。

軽く調べた感じでは、以下のページにf_homeへのリンクが残っているようです
./webapp/modules/admin/templates/delete_diary_comment.tpl
./webapp/modules/admin/templates/edit_c_admin_info.tpl
./webapp/modules/admin/templates/blacklist.tpl
./webapp/modules/admin/templates/manage_c_commu.tpl
./webapp/modules/admin/templates/delete_album_confirm.tpl
./webapp/modules/admin/templates/delete_review.tpl
./webapp/modules/admin/templates/c_member_detail.tpl
./webapp/modules/admin/templates/passwd.tpl
./webapp/modules/admin/templates/delete_commu.tpl
./webapp/modules/admin/templates/blacklist_add_confirm.tpl
./webapp/modules/admin/templates/blacklist_edit.tpl
./webapp/modules/admin/templates/delete_topic.tpl
./webapp/modules/admin/templates/blacklist_edit_confirm.tpl
./webapp/modules/admin/templates/delete_diary.tpl
./webapp/modules/admin/templates/edit_point.tpl
./webapp/modules/admin/templates/inc_dashboard.tpl
./webapp/modules/admin/templates/blacklist_delete_confirm.tpl
./webapp/modules/admin/templates/send_messages.tpl
./webapp/modules/admin/templates/delete_c_member_confirm.tpl
./webapp/modules/admin/templates/edit_entry_point.tpl
./webapp/modules/admin/templates/delete_topic_comment.tpl
./webapp/modules/admin/page/list_c_image.php
(f_homeで検索かけただけですが…)
開発版としては全体的にプライオリティの高い不具合ではないので、今回はこのまま2.13.4出しちゃって、別にチケット作って以降のバージョンで対応するとかでもいいと私は思ってます。
開発版なので(^^;) じゃんじゃん出していかないとですし

自分も、猫の手程度にしかなりませんが、時間が空けば修正のお手伝いさせてもらいます。
というわけで、修正、よろしくおねがいします><

11/04/08 14:18:45 changed by ebihara

現状のままだと却って管理者の混乱を誘いかねないので、開発版とはいえこの状態でリリースするのはためらいがあります。

不具合はともかく、 comment:9 で挙げたリンクのうち、管理画面内で完結させることができるものすべてに対しリンク先を変更したうえでリリースしたいです。

11/11/08 21:47:48 changed by shingo

  • owner changed from nakasone to shingo.
  • status changed from assigned to new.

11/11/08 21:58:27 changed by shingo

  • owner changed from shingo to nakasone.

11/11/08 22:33:15 changed by ebihara

  • keywords changed from 差し戻し to テスト待ち.

修正の範囲が広すぎるので、 comment:11 への対応はおこなわずにリリースします。

テスト待ちにします。


この変更は管理画面で移動できるもの(特にあしあとの残るページ)は管理画面内で完結させるという主旨であると思いますが、変更が中途半端です。SNS内に遷移するリンクとそうでないリンクの基準がなく、この変更によって管理者の混乱を招きかねません。

この対応は非常に有益であるとは思いますが、今回のように不具合やバグ以前に実装に不備があるという状況でリリースが近づいた場合、今後は trunk から一時的に外すという対応を採ることにしようと思います(バグの場合は修正するか次バージョンの対応項目にします)。

11/11/08 23:08:13 changed by kiwa

  • keywords deleted.
  • status changed from new to closed.
  • resolution set to fixed.

11/12/08 13:47:58 changed by shingo

  • summary changed from メンバー詳細画面を追加,書き込み管理画面の一部リンクを管理画面を指すように変更 to 管理画面内にメンバー詳細画面を追加し、管理画面からSNS内へのリンクを無くすようにする.